# ApiHdfsSnapshottableDirectoryStatus Data Model

An HDFS Snapshottable Directory descriptor.

Properties
name | data type | constraints | description
--- | --- | --- | ---
snapshotNumber | number | required | Count of snapshots that have been taken for the directory
snapshotQuota | number | required | Number of snapshots allowed for the directory
parentFullPath | string |  | Absolute path of the parent
dirStatus | ApiHdfsFile |  | The basic information of the directory
absolutePath | string |  | Absolute path of the file

Example

    {
      "snapshotNumber" : 12345,
      "snapshotQuota" : 12345,
      "parentFullPath" : "...",
      "dirStatus" : {
        "absolutePath" : "...",
        "length" : 12345,
        "dir" : true,
        "replication" : 12345,
        "blockSize" : 12345,
        "modificationTime" : "...",
        "accessTime" : "...",
        "permission" : 12345,
        "owner" : "...",
        "group" : "..."
      },
      "absolutePath" : "..."
    }